Package org.jboss.resteasy.wadl.jaxb

## Class Option

- java.lang.Object
- - org.jboss.resteasy.wadl.jaxb.Option

-     public class Option
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://wadl.dev.java.net/2009/02}doc" maxOccurs="unbounded" minOccurs="0"/>
               <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="mediaType" type="{http://www.w3.org/2001/XMLSchema}string" />
             <anyAttribute processContents='lax' namespace='##other'/>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<Object>` | `any` |
    `protected List<Doc>` | `doc` |
    `protected String` | `mediaType` |
    `protected String` | `value` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Option()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Object>` | `getAny()` | Gets the value of the any property.
    `List<Doc>` | `getDoc()` | Gets the value of the doc property.
    `String` | `getMediaType()` | Gets the value of the mediaType property.
    `Map<QName,​String>` | `getOtherAttributes()` | Gets a map that contains attributes that aren't bound to any typed property on this class.
    `String` | `getValue()` | Gets the value of the value property.
    `void` | `setMediaType​(String value)` | Sets the value of the mediaType property.
    `void` | `setValue​(String value)` | Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### doc

          protected List<Doc> doc

    - #### any

          protected List<Object> any

    - #### value

          protected String value

    - #### mediaType

          protected String mediaType

  - ### Constructor Detail

    - #### Option

          public Option()

  - ### Method Detail

    - #### getDoc

          public List<Doc> getDoc()

      Gets the value of the doc property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the doc property.

      For example, to add a new item, do as follows:

              getDoc().add(newItem);

      Objects of the following type(s) are allowed in the list `Doc`

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

              getAny().add(newItem);

      Objects of the following type(s) are allowed in the list `Element` `Object`

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue​(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMediaType

          public String getMediaType()

      Gets the value of the mediaType property.
      Returns:
        possible object is `String`

    - #### setMediaType

          public void setMediaType​(String value)

      Sets the value of the mediaType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOtherAttributes

          public Map<QName,​String> getOtherAttributes()

      Gets a map that contains attributes that aren't bound to any typed property on this class.

      the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

      Returns:
        always non-null